Problema con helpers y sincronización

Hola,
Tengo una duda con el environment (creo).
He realizado una aplicación en Ruby on Rails, que utiliza dos helper,
que están definidos en la carpeta:

vendor/plugins/

El asunto es que en mi servidor local (con Webrick) funcionan
perfectamente, pero cuando subo toda la aplicación al servidor (Apache),
parece que no encuentra donde están situados estos helpers.
Podría ser un problema con variables de entorno?

Otra cuestión, que método utilizais para subir los archivos modificados
al servidor, SVN?, FTP?, hay algún metodo en rails que permita hacer una
sincronización de los archivos locales uno a uno con los del servidor?
(Como por ejemplo ZSync en Zope)

Gracias de antemano.

Jatsu

On 1/30/07, Jatsu A. [email protected] wrote:

El asunto es que en mi servidor local (con Webrick) funcionan
perfectamente, pero cuando subo toda la aplicación al servidor (Apache),
parece que no encuentra donde están situados estos helpers.
Podría ser un problema con variables de entorno?

¿Estás reiniciando el servidor luego de subir los archivos?
Una forma fácil de hacerlo si estás usando CGI o FCGI es un touch:
touch -m public/dispatch.[f]cgi

Otra cuestión, que método utilizais para subir los archivos modificados
al servidor, SVN?, FTP?, hay algún metodo en rails que permita hacer una
sincronización de los archivos locales uno a uno con los del servidor?
(Como por ejemplo ZSync en Zope)

Yo sigo usando SCP, pero dicen que Capistrano [1] es maravilloso.

[1] http://manuals.rubyonrails.com/read/book/17

Saludos!

Si he reiniciado mi servidor (que no es apache sino lighthttpd), pero
sigue sin funcionar.
Yo he subido todos los archivos de aplicación, y he modificado el
archivo de conexión a mysql con los datos pertinentes.
Las unicas partes que no funcionan son las que tienen que utilizanlos
plugins.
Alguna otra idea.

Gracias otra vez.

Jatsu

Hola, me he encontrado un plugin “validator” para poder validar campos
de
un formulario. El lío es que no sé como instalarlo o donde debo copiarlo
para utilizarlo y si luego le debo hacer un require o algo así. Les dejo
el enlace donde me lo he descargado po si me pueden ayudar

http://rubyforge.org/projects/validator

Suerte a todos!